import { C as n } from "../components/CashierMethodDetails-ClB1W80Z.js";
function i(t) {
  return function(...s) {
    try {
      return t.apply(this, s);
    } catch (e) {
      if (e instanceof DOMException && e.message.includes("has already been used with this registry") || e.message.includes("Cannot define multiple custom elements with the same tag name"))
        return !1;
      throw e;
    }
  };
}
customElements.define = i(customElements.define);
!customElements.get("cashier-method-details") && customElements.define("cashier-method-details", n.element);
